Name:           npth
Version:        1.6
Release:        3
Summary:        The New GNU Portable Threads library
License:        LGPLv2+
URL:            http://git.gnupg.org/cgi-bin/gitweb.cgi?p=npth.git
Source:         https://gnupg.org/ftp/gcrypt/npth/%{name}-%{version}.tar.bz2

BuildRequires:  make gcc git

%description
The NPth package contains a very portable POSIX/ANSI-C based 
library for Unix platforms which provides non-preemptive 
priority-based scheduling for multiple threads of execution 
(multithreading) inside event-driven applications. All threads 
run in the same address space of the server application, but 
each thread has its own individual program-counter, run-time 
stack, signal mask and errno variable.

%package        devel
Summary:        Development files for %{name}
Patch6000: backport-0001-w32-Use-cast-by-uintptr_t-for-thread-ID.patch

Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%configure --disable-static
%make_build

%install
%make_install 

find %{buildroot} -name '*.la' -delete -print

%check
make check

%post
%ldconfig_scriptlets

%files
%license COPYING.LIB
%{_libdir}/lib%{name}.so.*

%files devel
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h
%{_datadir}/aclocal/%{name}.m4

%changelog
* Tue Oct 25 2022 yaowenbin <yaowenbin1@huawei.com> - 1.6-3
- Update the release to 3

* Mon Sep 28 2020 EulerOSWander <314264452@qq.com> - 1.6-2
- Use cast by uintptr_t for thread ID.

* Thu Jul 23 2020 jinzhimin <jinzhimin2@huawei.com> - 1.6-1
- Package update

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5-7
- Package init
